#include <userint.h>
#include <cvirte.h>
#include "add test.h"

int __stdcall DllMain (HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved)
{
	switch (fdwReason)
		{
		case DLL_PROCESS_ATTACH:
			if (InitCVIRTE (hinstDLL, 0, 0) == 0)
				return 0;	  /* out of memory */
			MessagePopup("Message","DLL Loaded");
			break;
		case DLL_PROCESS_DETACH:
			CloseCVIRTE ();
			MessagePopup("Message","DLL Unloaded");
			break;
		}
	
	return 1;
}


float __stdcall add (float inputa, float inputb)
{
	return (inputa + inputb);
}
